// Copyright (c) 2006 Atmel Corporation
// $Id: adc_prescaler_set.c,v 1.2 2007/05/01 17:55:22 eweddington Exp $

#define ADC_PRESCALER_SET_C

#include <stdint.h>
#include "adc.h"


bool adc_prescaler_set(const uint8_t prescaler)
{
	bool success = false;
    if(prescaler <= ADPS_BITS)
	{
		ADCSR = ((ADCSR & ~ADPS_BITS) | prescaler);
        success = true;
	}
	return(success);
}
