// Copyright (c) 2006 Atmel Corporation
// $Id: swspi.h,v 1.2 2007/05/01 17:55:22 eweddington Exp $

#ifndef SWSPI_H
#define SWSPI_H

#include <stdint.h>

#define SPI_DUMMY_BYTE  0x00

// API
void swspi_master_init(volatile uint8_t *port, 
    volatile uint8_t *port_dir, uint8_t mosi_bit, uint8_t miso_bit,
    uint8_t sck_bit);

uint8_t swspi_transmit_byte(const uint8_t data_out);

uint8_t swspi_receive_byte(void);

#endif
