// Copyright (c) 2006 Atmel Corporation
// $Id: adc_init.c,v 1.2 2007/05/01 17:55:22 eweddington Exp $

#define ADC_C

// Includes
#include <avr/io.h>
#include <inttypes.h>
#include "adc.h"


// Implementation

void adc_init(void)
{
	adc_right_shift_result();
	
	adc_prescaler_set(ADC_CLOCK_DIV64);

    adc_enable();

    adc_reference_external();

    adc_mode_single();

    adc_channel(0);
    
    return;
}

