// Copyright (c) 2006 Atmel Corporation
// $Id: adc_read_average.c,v 1.2 2007/05/01 17:55:22 eweddington Exp $

#define ADC_READ_AVERAGE_C

#include <stdint.h>
#include "adc.h"


uint16_t adc_read_average(uint8_t samples)
{
    uint32_t value = (uint32_t)0;
    uint8_t i;
    
    for(i = 0; i < samples; i++)
    {
        value += adc_read();
    }
    value /= samples;

    return((uint16_t)value);
}
